> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/affiliate_api/offer_postbacks/get_all_postbacks.md).

# Get All Postbacks

| HTTP method | Endpoint                     |
| ----------- | ---------------------------- |
| **GET**     | **/aff/v1/offer\_postbacks** |

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters   | Type    | Description                                                                                                                                                               |
| ---------- | ------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset       | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit        | limit   | The number of date displays in each page. **Maximum = 1000**                                                                                                              |
| Sort       | sort         | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters      | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |              |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields       | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id           | integer | Affiliate payout id.                                                                                                                                                      |
|            | offer\_id    | integer | Offer id.                                                                                                                                                                 |
|            | event\_id    | integer | Event id.                                                                                                                                                                 |
|            | code         | string  | Code.                                                                                                                                                                     |
|            | status       | string  | Status of Postback.                                                                                                                                                       |
|            | type         | string  | Type of code.                                                                                                                                                             |
|            | create\_time | integer | Create time.                                                                                                                                                              |
|            | update\_time | integer | Update time.                                                                                                                                                              |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field        | Type    | Description                                                                                                        |
| ------------ | ------- | ------------------------------------------------------------------------------------------------------------------ |
| id           | integer | Affiliate postback id.                                                                                             |
| offer\_id    | integer | Offer id.                                                                                                          |
| event\_id    | integer | Event id.                                                                                                          |
| code         | string  | Code.                                                                                                              |
| status       | string  | Status of Postback.                                                                                                |
| type         | string  | Type of code.  0: Global Postback   1:Image Pixel;   2:Postback URL;   3:HTML Pixel                                |
| create\_time | integer | Create time.                                                                                                       |
| update\_time | integer | Update time.                                                                                                       |
| totalPages   | integer | The list of data pages (associated with your limit).                                                               |
| totalRows    | integer | Total number of available data.                                                                                    |
| offset       | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
| limit        | integer | The number of data displayed on one page                                                                           |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request GET** <https://{networkname}.api.offerslook.com/aff/v1/offer_postbacks?sort=-id&limit=2&offset=2fields=id,offer_id,code,code,create_time&filters[id][GREATER_THAN]=45>

**Request GET** <http://{networkname}.api.offerslook.com/aff/v1/offer_postbacks?sort=-id&limit=2&offset=2&fields=id,offer_id,code,code,create_time&filters[id][GREATER_THAN]=45>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "id": 49,
            "offer_id": 5,
            "code": "http://test.com",
            "create_time": 1467688530
          },
          {
            "id": 47,
            "offer_id": 244,
            "code": "http://www.baidu.com",
            "create_time": 1467341004
          }
        ],
        "totalPages": 3,
        "totalRows": 5,
        "offset": 2,
        "limit": 2
      }
    }
```
